<?php

namespace spec\Myriad\Authentication\Lib\Strategies;

use Illuminate\Contracts\Config\Repository as Config;
use Illuminate\Contracts\Events\Dispatcher;
use Illuminate\Contracts\Mail\Mailer;
use Myriad\Authentication\Lib\Repositories\IUserRepository;
use Myriad\Authentication\Lib\Services\IEmailConfirmer;
use Myriad\Authentication\Lib\Strategies\EmailVerification;
use Myriad\Authentication\Lib\Strategies\IVerificationStrategy;
use PhpSpec\ObjectBehavior;

class EmailVerificationSpec extends ObjectBehavior
{
    function let(
        IUserRepository $userRepo,
        Mailer $mailer,
        Config $config,
        Dispatcher $dispatcher
    ) {
        $this->beConstructedWith($userRepo, $mailer, $config, $dispatcher);
    }

    function it_is_initializable()
    {
        $this->shouldHaveType(EmailVerification::class);
    }

    function it_should_implement_verification_strategy_interface()
    {
        $this->shouldImplement(IVerificationStrategy::class);
    }

    function it_should_implement_confirmation_email_sender_interface()
    {
        $this->shouldImplement(IEmailConfirmer::class);
    }

}
