<?php

namespace Myriad\Authentication\Http\Transformers;

use League\Fractal\TransformerAbstract;
use Myriad\Authentication\Models\UserPhone;

class UserPhoneTransformer extends TransformerAbstract
{

    public function transform(UserPhone $userPhone)
    {
        return [
            'id' => $userPhone->id,
            'user_id' => $userPhone->user_id,
            'phone' => $userPhone->phone,
            'type' => $userPhone->type,
            'primary' => (boolean) $userPhone->primary,
            'verified' => (boolean) $userPhone->verified,
            'created_at' => $userPhone->created_at->toIso8601String(),
            'updated_at' => $userPhone->updated_at->toIso8601String(),
        ];
    }

}
