<?php

namespace Myriad\Authentication\Lib\Jobs;

use Illuminate\Contracts\Auth\Authenticatable;
use Myriad\Authentication\Lib\Repositories\IAccessTokenRepository;
use Myriad\Installations\Models\Installation;

class LogoutUser
{

    /**
     * @var Authenticatable
     */
    private $user;

    /**
     * @var Installation
     */
    private $installation;

    /**
     * @var bool
     */
    private $all;

    public function __construct(Authenticatable $user, Installation $installation, $all = false)
    {
        $this->user = $user;
        $this->installation = $installation;
        $this->all = $all;
    }

    public function handle(IAccessTokenRepository $accessTokenRepository)
    {
        return $accessTokenRepository->logout($this->user, $this->installation, $this->all);
    }

}

