<?php

namespace Myriad\Authentication\Lib\Services;

use Illuminate\Contracts\Config\Repository as Config;
use Twilio\Rest\Client;

class TwilioTextMessageSender implements ITextMessageSender
{

    private $twilio;

    public function __construct(Config $config)
    {
        $sid = $config->get('authentication.text_messages.text_message_sender.config.sid');
        $auth_token = $config->get('authentication.text_messages.text_message_sender.config.auth_token');
        $this->twilio = new Client($sid, $auth_token);
    }

    public function sendTextMessage($from, $to, $message)
    {
        $response = $this->twilio->messages->create($to,
            [
                'body' => $message,
                'from' => $from,
            ]);
    }
}